#include "MutatorCosmeticStatusEffect.h"
#include "Net/UnrealNetwork.h"

void UMutatorCosmeticStatusEffect::OnRep_IsEnabled()
{

}

void UMutatorCosmeticStatusEffect::OnLocallyObservedChanged()
{

}

void UMutatorCosmeticStatusEffect::DBD_ShowCosmeticMutators(const bool isVisible, const FString& localPlayerId)
{

}

void UMutatorCosmeticStatusEffect::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UMutatorCosmeticStatusEffect, _isEnabled);
}

UMutatorCosmeticStatusEffect::UMutatorCosmeticStatusEffect()
{
	this->_isEnabled = true;
}
